Package org.springframework.scheduling.support

# Class DefaultScheduledTaskObservationConvention

java.lang.Object
org.springframework.scheduling.support.DefaultScheduledTaskObservationConvention

All Implemented Interfaces:
  `io.micrometer.observation.KeyValuesConvention`, `io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>`, `ScheduledTaskObservationConvention`

public class DefaultScheduledTaskObservationConvention extends Object implements ScheduledTaskObservationConvention
Default implementation for `ScheduledTaskObservationConvention`.

Since:
  6.1
Author:
  Brian Clozel

## Field Summary

### Fields inherited from interface io.micrometer.observation.ObservationConvention

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`DefaultScheduledTaskObservationConvention()`

## Method Summary

Modifier and Type
Method
Description
`protected io.micrometer.common.KeyValue`
`codeFunction(ScheduledTaskObservationContext context)`
`protected io.micrometer.common.KeyValue`
`codeNamespace(ScheduledTaskObservationContext context)`
`protected io.micrometer.common.KeyValue`
`exception(ScheduledTaskObservationContext context)`
`String`
`getContextualName(ScheduledTaskObservationContext context)`
`io.micrometer.common.KeyValues`
`getLowCardinalityKeyValues(ScheduledTaskObservationContext context)`
`String`
`getName()`
`protected io.micrometer.common.KeyValue`
`outcome(ScheduledTaskObservationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.micrometer.observation.ObservationConvention

`getHighCardinalityKeyValues`

### Methods inherited from interface org.springframework.scheduling.support.ScheduledTaskObservationConvention

`supportsContext`

## Constructor Details

### DefaultScheduledTaskObservationConvention

public DefaultScheduledTaskObservationConvention()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>`

### getContextualName

public String getContextualName(ScheduledTaskObservationContext context)

Specified by:
  `getContextualName` in interface `io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>`

### getLowCardinalityKeyValues

public io.micrometer.common.KeyValues getLowCardinalityKeyValues(ScheduledTaskObservationContext context)

Specified by:
  `getLowCardinalityKeyValues` in interface `io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>`

### codeFunction

protected io.micrometer.common.KeyValue codeFunction(ScheduledTaskObservationContext context)

### codeNamespace

protected io.micrometer.common.KeyValue codeNamespace(ScheduledTaskObservationContext context)

### exception

protected io.micrometer.common.KeyValue exception(ScheduledTaskObservationContext context)

### outcome

protected io.micrometer.common.KeyValue outcome(ScheduledTaskObservationContext context)